Subject: bug#39682: 26.3; Help window for list-packages disabled

From: Drew Adams <[email-masked]>
Date: Thu, 20 Feb 2020 17:47:28 -0800 (PST)

> describe-package works fine when I invoke
> emacs -q and then load el-get only.

What's needed is a minimal recipe, which involves only the one (or perhaps two) libraries that repro the problem.

Maybe the problem is only in help-fns+.el.  Or maybe it's only in dired+.el.  Or maybe it was only in an old byte-compiled help-fns+.el.

The point is that as long as multiple things are loaded it's hard to know what's going on, especially at a distance.

Ideally, it would be narrowed down to a single library, and even to just some of the code in that library.

My guess now, based on the fact that help-fns+.el redefines `describe-package' (to add a cross-reference to the manuals), is that help-fns+.el alone is probably causing (or probably caused) the problem.

And if the problem was only with an older help-fns+.elc (byte-compiled) then that's probably the explanation.  The library has two different definitions of `describe-package', depending on which Emacs version you have (because they changed the vanilla code for it, on which the library's code is based).

If your older Emacs version was prior to Emacs 24.4 then the older definition of `describe-package' was used in the byte-compiled file.  And that likely won't work with Emacs 24.4 or later.

It would be good to know for sure that that was the problem.  But if you no longer have the old help-fns+.elc (byte-compiled before Emacs 24.4) then there's probably no way to reproduce the problem anymore.

---

Anyway, I see now that Noam has replied more or less the same thing, and has closed the bug report.

Thanks for reporting the problem and trying to track it down.  Sorry to all for the trouble.

> >> I have much snow to shovel here - may not check email for several hours.
> > That'll probably keep you healthy.  Good shoveling.
> Starting now ...

Just don't overdo it. ;-)  Good luck.